# IRdNtSharedSpaceCfg Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | Clear ()
HRESULT | IsEqualTo ([in] IRdNtSharedSpaceCfg *pNtSharedSpaceCfg)
HRESULT | NeedRestart ([in] IRdNtSharedSpaceCfg *pNtSharedSpaceCfg)
HRESULT | SetByControl ([in] IRsNode *pCtrlNode)
## Properties
BSTR * | NameID`[get]`
BSTR | NameID`[set]`
RtDWORD * | StatusFlags1`[get]`
RtDWORD | StatusFlags1`[set]`
RtBYTE * | CompressionLevel`[get]`
RtBYTE | CompressionLevel`[set]`
BSTR * | ContentServer`[get]`
BSTR | ContentServer`[set]`
BSTR * | DefaultKeys`[get]`
BSTR | DefaultKeys`[set]`
RtDWORD * | MaxSendQueue`[get]`
RtDWORD | MaxSendQueue`[set]`
BSTR * | Name`[get]`
BSTR | Name`[set]`
BSTR * | DisplayName`[get]`
BSTR | DisplayName`[set]`
RtDWORD * | Port`[get]`
RtDWORD | Port`[set]`
BSTR * | AuthorizeServer`[get]`
BSTR | AuthorizeServer`[set]`
BSTR * | RsWebService`[get]`
BSTR | RsWebService`[set]`
BSTR * | SharedSpace`[get]`
BSTR | SharedSpace`[set]`
RtFloat * | SyncRate`[get]`
RtFloat | SyncRate`[set]`
RtBYTE * | VoIPDefTXMode`[get]`
RtBYTE | VoIPDefTXMode`[set]`
RtDWORD * | VoIPMaxSpeakers`[get]`
RtDWORD | VoIPMaxSpeakers`[set]`

## Detailed Description

Object holds information about a Shared Space Server node settings.

## Member Function Documentation

HRESULT IRdNtSharedSpaceCfg::Clear | ( |  | ) |

Call to clear the data object.

HRESULT IRdNtSharedSpaceCfg::IsEqualTo | ( | [in] IRdNtSharedSpaceCfg * | pNtSharedSpaceCfg | ) |

Call to compare the configuration.

Parameters:

  | pNtSharedSpaceCfg | [in] .

Returns:
  S_OK The configurations are equal.

  S_FALSE The configurations are different.

HRESULT IRdNtSharedSpaceCfg::NeedRestart | ( | [in] IRdNtSharedSpaceCfg * | pNtSharedSpaceCfg | ) |

Call to compare the configuration and find if the Shared Space has to be restarted.

Parameters:

  | pNtSharedSpaceCfg | [in] .

Returns:
  S_OK Restart is not necessary.

  S_FALSE To apply the changes Shared Space must be restarted.

HRESULT IRdNtSharedSpaceCfg::SetByControl | ( | [in] IRsNode * | pCtrlNode | ) |

Set the data object by the server control node.

Parameters:

  | pCtrlNode | [in] Specify the server control node by which this data object should be filled.

Remarks:
  You should call this method only from a command if the pCtrlNode is in Dependency Graph.

Returns:
  S_OK If the configuration was read OK.

## Property Documentation

BSTR * IRdNtSharedSpaceCfg::NameID`[get]`

Get identification name of the Shared Space.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::NameID`[set]`

Set identification name of the Shared Space.

Parameters:

  | bstrVal | [in] .

RtDWORD * IRdNtSharedSpaceCfg::StatusFlags1`[get]`

Call the property to get status flags of the Shared Space.

Returns:
  pdwVal [out,retval] Possible flags:
  RDNT_SS_CFG_SFLG1_3DVOICE 0x00000001 - 3D Voice is active. RDNT_SS_CFG_SFLG1_ACTIVE 0x00000002 - The shared space is active. RDNT_SS_CFG_SFLG1_AUTHORIZE 0x00000004 - Authorization for the shared space is active. RDNT_SS_CFG_SFLG1_CHAT_DISABLED 0x00000008 - Chat is disabled on enter. RDNT_SS_CFG_SFLG1_CONFLICT_SOLVER 0x00000010 - Conflict solver is active. RDNT_SS_CFG_SFLG1_VOICE_ACTIVE 0x00000020 - Voice support is active. RDNT_SS_CFG_SFLG1_VOLUME_CORRECTION 0x00000040 - Volume correction is active. RDNT_SS_CFG_SFLG1_ROOT_SS 0x00000080 - This space is "root" (will not be deleted when inaccessible spaces will be deleted). RDNT_SS_CFG_SFLG1_AVATARS_ENABLED 0x00000100 - Avatars are allowed for the Shared Space

RtDWORD IRdNtSharedSpaceCfg::StatusFlags1`[set]`

Call to set the status flag. See the get property for more details.

Parameters:

  | dwVal | [in] .

RtBYTE * IRdNtSharedSpaceCfg::CompressionLevel`[get]`

Get compression level for the Shared Space.

Returns:
  pbVal [out,retval] .

RtBYTE IRdNtSharedSpaceCfg::CompressionLevel`[set]`

Set compression level for the Shared Space.

Parameters:

  | bVal | [in] .

BSTR * IRdNtSharedSpaceCfg::ContentServer`[get]`

Get Content Server address for the Shared Space.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::ContentServer`[set]`

Set Content Server address for the Shared Space.

Parameters:

  | bstrVal | [in] .

BSTR * IRdNtSharedSpaceCfg::DefaultKeys`[get]`

Get default keys for unknown clients entering the Shared Space.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::DefaultKeys`[set]`

Set default keys for unknown clients entering the Shared Space.

Parameters:

  | bstrVal | [in] .

RtDWORD * IRdNtSharedSpaceCfg::MaxSendQueue`[get]`

Get the maximum send queue size when the client will be automatically removed. This feature is disabled if the value is equal to 0xFFFFFFFF.

Returns:
  pdwVal [out,retval] .

RtDWORD IRdNtSharedSpaceCfg::MaxSendQueue`[set]`

Set the maximum send queue size when the client will be automatically removed. This feature is disabled if you put 0xFFFFFFFF.

Parameters:

  | dwVal | [in] .

BSTR * IRdNtSharedSpaceCfg::Name`[get]`

Get name of the Shared Space.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::Name`[set]`

Set name of the Shared Space.

Parameters:

  | bstrVal | [in] .

BSTR * IRdNtSharedSpaceCfg::DisplayName`[get]`

Get display name of the Shared Space.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::DisplayName`[set]`

Set display name of the Shared Space.

Parameters:

  | bstrVal | [in] .

RtDWORD * IRdNtSharedSpaceCfg::Port`[get]`

Get port of the Shared Space.

Returns:
  pdwVal [out,retval] .

RtDWORD IRdNtSharedSpaceCfg::Port`[set]`

Set port of the Shared Space.

Parameters:

  | dwVal | [in] .

BSTR * IRdNtSharedSpaceCfg::AuthorizeServer`[get]`

Get Authorization Server address of the Shared Space.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::AuthorizeServer`[set]`

Set Authorization Server address of the Shared Space.

Parameters:

  | bstrVal | [in] .

BSTR * IRdNtSharedSpaceCfg::RsWebService`[get]`

Get Rosetta Web Service address for the Shared Space.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::RsWebService`[set]`

Set Rosetta Web Service address for the Shared Space.

Parameters:

  | bstrVal | [in] .

BSTR * IRdNtSharedSpaceCfg::SharedSpace`[get]`

Get Shared Space path.

Returns:
  pbstrVal [out,retval] .

BSTR IRdNtSharedSpaceCfg::SharedSpace`[set]`

Set Shared Space path.

Parameters:

  | bstrVal | [in] .

RtFloat * IRdNtSharedSpaceCfg::SyncRate`[get]`

Get Synchronization rate of the Shared Space.

Returns:
  pfVal [out,retval] .

RtFloat IRdNtSharedSpaceCfg::SyncRate`[set]`

Set Synchronization rate of the Shared Space.

Parameters:

  | fVal | [in] .

RtBYTE * IRdNtSharedSpaceCfg::VoIPDefTXMode`[get]`

Note: voip not available in current version.
Get default VoIP transmit mode of the Shared Space.

Returns:
  pbVal [out,retval] .

RtBYTE IRdNtSharedSpaceCfg::VoIPDefTXMode`[set]`

Note: voip not available in current version.
Set default VoIP transmit mode of the Shared Space.

Parameters:

  | bVal | [in] .

RtDWORD * IRdNtSharedSpaceCfg::VoIPMaxSpeakers`[get]`

Note: voip not available in current version.
Get the maximum VoIP transmitting clients. 0xFFFFFFFF means the feature is turned off.

Returns:
  pdwVal [out,retval] .

RtDWORD IRdNtSharedSpaceCfg::VoIPMaxSpeakers`[set]`

Note: voip not available in current version.
Set the maximum VoIP transmitting clients. Put 0xFFFFFFFF to deactivate this feature.

Parameters:

  | dwVal | [in] .